svn commit: r319112 - user/pho/stress2/misc
Peter Holm
pho at FreeBSD.org
Mon May 29 09:03:14 UTC 2017
Author: pho
Date: Mon May 29 09:03:13 2017
New Revision: 319112
URL: https://svnweb.freebsd.org/changeset/base/319112
Log:
Added finding. Verify kernel stack size.
Sponsored by: Dell EMC Isilon
Modified:
user/pho/stress2/misc/crossmp7.sh
Modified: user/pho/stress2/misc/crossmp7.sh
==============================================================================
--- user/pho/stress2/misc/crossmp7.sh Mon May 29 09:00:58 2017 (r319111)
+++ user/pho/stress2/misc/crossmp7.sh Mon May 29 09:03:13 2017 (r319112)
@@ -30,16 +30,21 @@
# Parallel mount and umount of zfs file systems.
+# Page fault seen:
+# https://people.freebsd.org/~pho/stress/log/avg002.txt
+# Fixed by r309090.
+
[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
-[ $((`sysctl -n hw.usermem` / 1024 / 1024 / 1024)) -le 3 ] && exit 0
+[ `sysctl -n kern.kstack_pages` -lt 4 ] && exit 0
. ../default.cfg
mounts=15 # Number of parallel scripts
if [ $# -eq 0 ]; then
- kldstat -v | grep -q zfs.ko || { kldload zfs.ko; loaded=1; }
- zpool list | grep -q tank && zpool destroy tank
+ kldstat -v | grep -q zfs.ko || { kldload zfs.ko ||
+ exit 0; loaded=1; }
+ zpool list | egrep -q "^tank" && zpool destroy tank
u1=$mdstart
u2=$((u1 + 1))
More information about the svn-src-user
mailing list